/**
 * yateaddressbookview.hpp
 * This file is part of the YATE Project http://YATE.null.ro
 *
 * A Qt based universal telephony client
 * Author: Dorin Lazar <lazar@deuromedia.ro>
 *
 * Yet Another Telephony Engine - a fully featured software PBX and IVR
 * Copyright (C) 2004 Null Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __YATEADDRESSBOOKVIEW_HPP
#define __YATEADDRESSBOOKVIEW_HPP

class YateAddressBook;
class YateAddress;

#include <qlistview.h>
#include <qwidget.h>

class YABVItem : public QListViewItem
{
	YateAddress *address;
 public:
	YABVItem (QListView *lv, YateAddress *add);
	~YABVItem();
 public:
	YateAddress *getAddress (void) {return address;}
};

class YateAddressBookView : public QWidget
{
	Q_OBJECT
 public:
	YateAddressBookView (QWidget *parent, YateAddressBook *addressbook);
	~YateAddressBookView();
 public:
	void rescanAddressBook (void);
 signals:
	void dialRequest (const char *number);
 protected:
	QListView *lvContacts;
	YateAddressBook *addressbook;
 protected slots:
	void doubleClickedContact (QListViewItem *item);
};


#endif /* !__YATEADDRESSBOOKVIEW_HPP */
