Summary:	Yet Another Telephony Engine
Name:     	yate
Version: 	0.8.7
Release:	1
Copyright:	GPL
Packager:	Paul Chitescu <paulc-devel@null.ro>
Source:		http://yate.null.ro/%{name}-%{version}.tar.gz
Group:		Applications/Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://yate.null.ro/

BuildRequires:	gcc-c++
Group:		System Environment/Libraries

%define prefix  /usr

# to include deps run rpmbuild --define 'keepdeps 1'
%{?keepdeps:%define keep_auto_deps 1}

%description
YATE is a telephony engine designed to implement PBX and IVR solutions
for small to large scale projects.

%files
%defattr(-, root, root)
%dir /usr/share/doc/yate-%{version}
%doc /usr/share/doc/yate-%{version}/README
%doc /usr/share/doc/yate-%{version}/COPYING
%doc /usr/share/doc/yate-%{version}/ChangeLog
%dir /etc/yate
%config /etc/yate/*
/usr/lib/lib*.so.*
/usr/bin/yate
/usr/share/man/*/yate.*
/etc/rc.d/init.d/yate
%dir /usr/lib/yate
/usr/lib/yate/*

%post
ldconfig

%postun
ldconfig

%package devel
Summary:	Development package for yate
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The yate-devel package includes the libraries and header files for YATE

%files devel
%defattr(-, root, root)
%doc /usr/share/doc/yate-%{version}/*.html
%doc /usr/share/doc/yate-%{version}/api/*
/usr/include/*
/usr/lib/lib*.so
/usr/bin/yate-config
/usr/share/man/*/yate-config.*
/usr/lib/pkgconfig/yate.pc

%prep
%setup -q -n %{name}

%if "%{keep_auto_deps}" != "1"
%define local_find_requires %{_builddir}/%{name}/local-find-requires
%define local_find_provides %{_builddir}/%{name}/local-find-provides
#
%{__cat} <<EOF >%{local_find_requires}
#! /bin/sh
grep -v '\.yate$' | %{__find_requires} | grep -v '^perl'
exit 0
EOF
#
%{__cat} <<EOF >%{local_find_provides}
#! /bin/sh
%{__find_provides} | grep -v '\.yate$'
exit 0
EOF
#
chmod +x %{local_find_requires} %{local_find_provides}
%define _use_internal_dependency_generator 0
%define __find_requires %{local_find_requires}
%define __find_provides %{local_find_provides}
%define __perl_requires /bin/true
%endif

%build
./configure --prefix=%{prefix} --sysconfdir=/etc --mandir=%{prefix}/share/man
make strip

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/etc/rc.d/init.d
cp -p %{_builddir}/%{name}/yate.init %{buildroot}/etc/rc.d/init.d/yate

%clean
# make clean
rm -rf %{buildroot}

%changelog
* Tue Jan 18 2005 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.7

* Mon Jan 10 2005 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.6
- Versioned the shared library and packaged manpage for yate-config

* Sun Jan 09 2005 Paul Chitescu <paulc-devel@null.ro>
- Cleaned up the build and packaging system

* Wed Dec 15 2004 Paul Chitescu <paulc-devel@null.ro>
- Added custom requires/provides filters to supress modules dependencies

* Mon Nov 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.5
- Removed non-packaging changes - see ChangeLog instead

* Wed Sep 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.4

* Sat Jun 26 2004 Paul Chitescu <paulc-devel@null.ro>
- Version 0.8.3

* Sat May 15 2004 Paul Chitescu <paulc-devel@null.ro>
- Added pkgconfig support

* Sun Apr 04 2004 Paul Chitescu <paulc-devel@null.ro>
- Added yate-config to the devel package

* Mon Mar 29 2004 Paul Chitescu <paulc-devel@null.ro>
- Created specfile
